public inbox for linux-kbuild@vger.kernel.org
 help / color / mirror / Atom feed
* Re: [PATCH 0/2] kbuild: Fix install errors when INSTALL_PATH does not exist
       [not found] ` <B99CF5DB-276C-4BBC-8D18-C1199BDA104B.1@smtp-inbound1.duck.com>
@ 2024-02-10 10:18   ` Zhang Bingwu
  0 siblings, 0 replies; 4+ messages in thread
From: Zhang Bingwu @ 2024-02-10 10:18 UTC (permalink / raw)
  To: Zhang Bingwu; +Cc: linux-kbuild

[-- Attachment #1: Type: text/plain, Size: 95 bytes --]

Sorry I forgot to CC these patches to kbuild list.

-- 
xtex @ Sat Feb 10 10:16:06 AM UTC 2024

[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 228 bytes --]

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH 1/2] kbuild: Abort make on install failures
       [not found]   ` <ZcdP7CC+OMbp5ZMi@shell.armlinux.org.uk>
@ 2024-02-10 10:33     ` xtex
  0 siblings, 0 replies; 4+ messages in thread
From: xtex @ 2024-02-10 10:33 UTC (permalink / raw)
  To: Russell King (Oracle)
  Cc: Catalin Marinas, Will Deacon, Geert Uytterhoeven, Dinh Nguyen,
	James E.J. Bottomley, Helge Deller, Paul Walmsley, Palmer Dabbelt,
	Albert Ou, Heiko Carstens, Vasily Gorbik, Alexander Gordeev,
	Christian Borntraeger, Sven Schnelle, David S. Miller,
	Andreas Larsson, Thomas Gleixner, Ingo Molnar, Borislav Petkov,
	Dave Hansen, H. Peter Anvin, Masahiro Yamada, Nathan Chancellor,
	Nicolas Schier, x86, linux-arm-kernel, linux-kernel, linux-m68k,
	linux-parisc, linux-riscv, linux-s390, sparclinux,
	Linux Kbuild mailing list

[-- Attachment #1: Type: text/plain, Size: 249 bytes --]

On Saturday, February 10, 2024 6:29:00 PM CST Russell King (Oracle) wrote:
> What about #!/bin/sh -e on the first line, which is the more normal way
> to do this for an entire script?

Will do this in V2.

-- 
xtex @ Sat Feb 10 10:32:32 AM UTC 2024

[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 228 bytes --]

^ permalink raw reply	[flat|nested] 4+ messages in thread

* [PATCH 1/2] kbuild: Abort make on install failures
  2024-07-14  8:57 [RESEND PATCH 0/2] kbuild: Fix install errors when INSTALL_PATH does not exist Zhang Bingwu
@ 2024-07-14  8:57 ` Zhang Bingwu
  2024-07-14 19:10   ` Masahiro Yamada
  0 siblings, 1 reply; 4+ messages in thread
From: Zhang Bingwu @ 2024-07-14  8:57 UTC (permalink / raw)
  To: Russell King, Catalin Marinas, Will Deacon, Geert Uytterhoeven,
	Dinh Nguyen, James E.J. Bottomley, Helge Deller, Paul Walmsley,
	Palmer Dabbelt, Albert Ou, Heiko Carstens, Vasily Gorbik,
	Alexander Gordeev, Christian Borntraeger, Sven Schnelle,
	David S. Miller, Andreas Larsson, Thomas Gleixner, Ingo Molnar,
	Borislav Petkov, Dave Hansen, H. Peter Anvin, Zhang Bingwu,
	Masahiro Yamada, Nathan Chancellor, Nicolas Schier
  Cc: x86, linux-kbuild, linux-arm-kernel, linux-kernel, linux-m68k,
	linux-parisc, linux-riscv, linux-s390, sparclinux

From: Zhang Bingwu <xtexchooser@duck.com>

Setting '-e' flag tells shells to exit with error exit code immediately
after any of commands fails, and causes make(1) to regard recipes as
failed.

Before this, make will still continue to succeed even after the
installation failed, for example, for insufficient permission or
directory does not exist.

Signed-off-by: Zhang Bingwu <xtexchooser@duck.com>
---
 arch/arm/boot/install.sh   | 2 ++
 arch/arm64/boot/install.sh | 2 ++
 arch/m68k/install.sh       | 2 ++
 arch/nios2/boot/install.sh | 2 ++
 arch/parisc/install.sh     | 2 ++
 arch/riscv/boot/install.sh | 2 ++
 arch/s390/boot/install.sh  | 2 ++
 arch/sparc/boot/install.sh | 2 ++
 arch/x86/boot/install.sh   | 2 ++
 9 files changed, 18 insertions(+)

diff --git a/arch/arm/boot/install.sh b/arch/arm/boot/install.sh
index 9ec11fac7d8d..34e2c6e31fd1 100755
--- a/arch/arm/boot/install.sh
+++ b/arch/arm/boot/install.sh
@@ -17,6 +17,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 if [ "$(basename $2)" = "zImage" ]; then
 # Compressed install
   echo "Installing compressed kernel"
diff --git a/arch/arm64/boot/install.sh b/arch/arm64/boot/install.sh
index 9b7a09808a3d..cc2f4ccca6c0 100755
--- a/arch/arm64/boot/install.sh
+++ b/arch/arm64/boot/install.sh
@@ -17,6 +17,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 if [ "$(basename $2)" = "Image.gz" ] || [ "$(basename $2)" = "vmlinuz.efi" ]
 then
 # Compressed install
diff --git a/arch/m68k/install.sh b/arch/m68k/install.sh
index af65e16e5147..b6829b3942b3 100755
--- a/arch/m68k/install.sh
+++ b/arch/m68k/install.sh
@@ -16,6 +16,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 if [ -f $4/vmlinuz ]; then
 	mv $4/vmlinuz $4/vmlinuz.old
 fi
diff --git a/arch/nios2/boot/install.sh b/arch/nios2/boot/install.sh
index 34a2feec42c8..1161f2bf59ec 100755
--- a/arch/nios2/boot/install.sh
+++ b/arch/nios2/boot/install.sh
@@ -16,6 +16,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 if [ -f $4/vmlinuz ]; then
 	mv $4/vmlinuz $4/vmlinuz.old
 fi
diff --git a/arch/parisc/install.sh b/arch/parisc/install.sh
index 933d031c249a..664c2d77f776 100755
--- a/arch/parisc/install.sh
+++ b/arch/parisc/install.sh
@@ -16,6 +16,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 if [ "$(basename $2)" = "vmlinuz" ]; then
 # Compressed install
   echo "Installing compressed kernel"
diff --git a/arch/riscv/boot/install.sh b/arch/riscv/boot/install.sh
index 4c63f3f0643d..a59639dff64f 100755
--- a/arch/riscv/boot/install.sh
+++ b/arch/riscv/boot/install.sh
@@ -17,6 +17,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 if [ "$(basename $2)" = "Image.gz" ]; then
 # Compressed install
   echo "Installing compressed kernel"
diff --git a/arch/s390/boot/install.sh b/arch/s390/boot/install.sh
index a13dd2f2aa1c..fa41486258ee 100755
--- a/arch/s390/boot/install.sh
+++ b/arch/s390/boot/install.sh
@@ -15,6 +15,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 echo "Warning: '${INSTALLKERNEL}' command not available - additional " \
      "bootloader config required" >&2
 if [ -f "$4/vmlinuz-$1" ]; then mv -- "$4/vmlinuz-$1" "$4/vmlinuz-$1.old"; fi
diff --git a/arch/sparc/boot/install.sh b/arch/sparc/boot/install.sh
index 4f130f3f30d6..68de67c5621e 100755
--- a/arch/sparc/boot/install.sh
+++ b/arch/sparc/boot/install.sh
@@ -16,6 +16,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 if [ -f $4/vmlinuz ]; then
 	mv $4/vmlinuz $4/vmlinuz.old
 fi
diff --git a/arch/x86/boot/install.sh b/arch/x86/boot/install.sh
index 0849f4b42745..93784abcd66d 100755
--- a/arch/x86/boot/install.sh
+++ b/arch/x86/boot/install.sh
@@ -16,6 +16,8 @@
 #   $3 - kernel map file
 #   $4 - default install path (blank if root directory)
 
+set -e
+
 if [ -f $4/vmlinuz ]; then
 	mv $4/vmlinuz $4/vmlinuz.old
 fi
-- 
2.43.0


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* Re: [PATCH 1/2] kbuild: Abort make on install failures
  2024-07-14  8:57 ` [PATCH 1/2] kbuild: Abort make on install failures Zhang Bingwu
@ 2024-07-14 19:10   ` Masahiro Yamada
  0 siblings, 0 replies; 4+ messages in thread
From: Masahiro Yamada @ 2024-07-14 19:10 UTC (permalink / raw)
  To: Zhang Bingwu
  Cc: Russell King, Catalin Marinas, Will Deacon, Geert Uytterhoeven,
	Dinh Nguyen, James E.J. Bottomley, Helge Deller, Paul Walmsley,
	Palmer Dabbelt, Albert Ou, Heiko Carstens, Vasily Gorbik,
	Alexander Gordeev, Christian Borntraeger, Sven Schnelle,
	David S. Miller, Andreas Larsson, Thomas Gleixner, Ingo Molnar,
	Borislav Petkov, Dave Hansen, H. Peter Anvin, Zhang Bingwu,
	Nathan Chancellor, Nicolas Schier, x86, linux-kbuild,
	linux-arm-kernel, linux-kernel, linux-m68k, linux-parisc,
	linux-riscv, linux-s390, sparclinux

On Sun, Jul 14, 2024 at 5:58 PM Zhang Bingwu <xtex@envs.net> wrote:
>
> From: Zhang Bingwu <xtexchooser@duck.com>
>
> Setting '-e' flag tells shells to exit with error exit code immediately
> after any of commands fails, and causes make(1) to regard recipes as
> failed.
>
> Before this, make will still continue to succeed even after the
> installation failed, for example, for insufficient permission or
> directory does not exist.
>
> Signed-off-by: Zhang Bingwu <xtexchooser@duck.com>


Applied to linux-kbuild. Thanks!


-- 
Best Regards
Masahiro Yamada

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2024-07-14 19:11 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
     [not found] <20240210074601.5363-1-xtex@envs.net>
     [not found] ` <B99CF5DB-276C-4BBC-8D18-C1199BDA104B.1@smtp-inbound1.duck.com>
2024-02-10 10:18   ` [PATCH 0/2] kbuild: Fix install errors when INSTALL_PATH does not exist Zhang Bingwu
     [not found] ` <20240210074601.5363-2-xtex@envs.net>
     [not found]   ` <ZcdP7CC+OMbp5ZMi@shell.armlinux.org.uk>
2024-02-10 10:33     ` [PATCH 1/2] kbuild: Abort make on install failures xtex
2024-07-14  8:57 [RESEND PATCH 0/2] kbuild: Fix install errors when INSTALL_PATH does not exist Zhang Bingwu
2024-07-14  8:57 ` [PATCH 1/2] kbuild: Abort make on install failures Zhang Bingwu
2024-07-14 19:10   ` Masahiro Yamada

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox